

function x_a9(x_ai, x_aj, x_ak) {
if (typeof x_ak == 'undefined') {
x_ak = false;
}

if (typeof x_aj != 'undefined') {
x_aj.style.position = 'absolute';
} else {
x_aj = x_ai;
}
x_ai.onmousedown = function(x_al) {
if (!x_al) {
x_al = window.event;
}
x_am(x_al, x_aj, x_ak);
}
}

function x_am(x_al, x_an, x_ak) {
x_ao = x_an;
x_ao.x_ak = x_ak;	
if(!x_ao.style.left) {
x_ao.style.left = '0px';
}
if(!x_ao.style.top) {
x_ao.style.top = '0px';
}
x_ao.x_ap = parseInt(x_an.style.left); 
x_ao.x_aq = parseInt(x_an.style.top);
x_ao.x_ar = x_al.clientX;  
x_ao.x_as = x_al.clientY;
x_at (document, 'mousemove', x_au);
x_at (document, 'mouseup', x_av);
x_al.cancelBubble = true;
return false;
}

function x_au(x_al) {
if (document.all) {
x_al.cancelBubble = true;
} else {
x_al.stopPropagation();
}
var x_aw = x_al.clientX - x_ao.x_ar;
var x_ax = x_al.clientY - x_ao.x_as;
var x_9m = x_ao.x_ap + x_aw;
var x_9o = x_ao.x_aq + x_ax;
if (!x_ao.x_ak) {
var x_9p = 0;
var x_9q = 0;
var x_ay = 0;
var x_az = 0;
var x_b0 = x_ao.offsetWidth;
var x_b1 = x_ao.offsetHeight;
var x_an = document.body;
x_an = x_an.parentNode;
if (self.innerHeight) {x_az = x_an.clientHeight;
x_ay = x_an.clientWidth;
x_9q = x_an.scrollTop;
x_9p = x_an.scrollLeft;
} else {
x_az = document.body.clientHeight;
x_ay = document.body.clientWidth;
x_9p = document.body.scrollLeft;
x_9q = document.body.scrollTop;
}
if (x_9m < x_9p) {
x_9m = x_9p;
}
if ((x_9m + x_b0) >= (x_ay + x_9p)) {
x_9m = (x_ay + x_9p) - x_b0;
}
if (x_9o < x_9q) {
x_9o = x_9q;
}
if ((x_9o + x_b1) > (x_az + x_9q)) {
x_9o = (x_az - x_b1) + x_9q;
}
}
x_ao.style.left = x_9m + 'px';
x_ao.style.top  = x_9o + 'px';
return false;
}

function x_av(x_al) {
if (document.all) {
x_al.cancelBubble = true;
} else {
x_al.stopPropagation();
}
x_b2(document, 'mousemove', x_au);
x_b2(document, 'mouseup', x_av);
return false;
}

function x_at (x_b3, x_al, x_a) {
if (document.all) {
x_b3.attachEvent('on' + x_al, x_a);
}
else {
x_b3.addEventListener(x_al, x_a, true);
}
}

function x_b2 (x_b3, x_al, x_a) {
if (document.all) {
x_b3.detachEvent('on' + x_al, x_a);
}
else {
x_b3.removeEventListener(x_al, x_a, true);
}
}
var x_ao;
